﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Check Frequency Reference Accuracy
DATE:                  2010-08-06 06:39:05
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       93
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        See procedure body for specific cables and adapters required.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#
#  Example Usage:
#
# 1.001  MATH         @ReqFreqRefAcc_ppm = 2.5
# 1.002  CALL         Sub Check Frequency Reference Accuracy
#
# 1.003  IF           @Abort
# 1.004  END
# 1.005  ENDIF
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         FREQUENCY REFERENCE REQUIREMENT
# Look up instrument name of configured frequency reference.
  1.002  MATH         FreqRef = INI("startup", "FreqRefDevName")
  1.003  MATH         @Abort = EMPTY(FreqRef)

  1.004  IF           @Abort
  1.005  DISP         No Frequency Reference is currently configured.
  1.005  DISP
  1.005  DISP         Select Configure=>Instrument and ensure that the device
  1.005  DISP         you intend to use as the frequency reference is
  1.005  DISP         configured.
  1.005  DISP
  1.005  DISP         Then select Configure=>Frequency Reference, and select
  1.005  DISP         that device.
  1.006  HEAD
  1.007  END
  1.008  ENDIF

# 1. Look up mode string of configured frequency reference.
# 2. Retrieve accuracy for configured frequency reference at 10 MHz
# 3. Convert to ppm.
# 4. Determine if frequency reference is acceptable.

  1.009  MATH         FreqRefAccMode = INI("startup", "FreqRefAccMode")
  1.010  MATH         FreqRefAcc = ACCV(FreqRef, FreqRefAccMode, 10E+6)
  1.011  MATH         FreqRefAcc = FreqRefAcc / 10E+6 / 1E-6
  1.012  MATH         @Abort = (FreqRefAcc > @ReqFreqRefAcc_ppm)

  1.013  IF           @Abort
  1.014  DISP         The configured frequency reference and/or its
  1.014  DISP         "Accuracy File Lookup String" are of insufficient
  1.014  DISP         accuracy for use during the verification of this UUT.
  1.014  DISP
  1.014  DISP         [32]Frequency Reference        : [V FreqRef]
  1.014  DISP         [32]Accuracy File Lookup String: [V FreqRefAccMode]
  1.014  DISP
  1.014  DISP         Select "Advance" to terminate the procedure,
  1.014  DISP         configure an appropriate frequency reference
  1.014  DISP         and requisite Accuracy File Lookup String, then
  1.014  DISP         re-execute the procedure from the beginning.
  1.015  ENDIF

  1.016  HEAD
  1.017  END





