﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 281/282/284 (1 yr) Distortion Tests /8560
DATE:                  2016-11-21 11:27:26
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 17364 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       241
CONFIGURATION:         HP 8560
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Dev(s) Covered:
#        Fluke 281, 282, 284
#        TTi TGA1241, TGA1242, TGA1244
#        Wavetek 39A, 195
#
#  Source(s):
#        Fluke 281/282/284
#        Accuracy Verification Procedure
#        Fluke Calibration Service Engineering
#        Orig: 2009-05-20
#        Rev:  2009-10-21
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         SINE WAVE DISTORTION
  1.002  RSLT         =
  1.003  HEAD         -2 {[V @Freq] Fundamental}
  1.004  MATH         Fund = BASE(@Freq)
  1.005  MATH         L[1] = Fund / 2
  1.006  MATH         L[2] = Fund * 2
  1.007  MATH         L[3] = Fund * 3
  1.008  MATH         L[4] = Fund * 4
  1.009  MATH         L[5] = Fund * 5

  1.010  IF           ZCMPI(@ModelNum, "MODEL 39A")
  1.011  MATH         L[6] = 1
  1.012  ELSEIF       ZCMPI(@ModelNum, "MODEL 195")
  1.013  MATH         L[6] = 1
  1.014  ELSE
  1.015  MATH         L[6] = 0
  1.016  ENDIF

  1.017  IF           Fund <= 300E+3
  1.018  MATH         Max = -50

  1.019  ELSEIF       Fund <= 1E+6

  1.020  IF           L[6]
  1.021  MATH         Max = -50
  1.022  ELSE
  1.023  MATH         Max = -35
  1.024  ENDIF

  1.025  ELSEIF       Fund <= 10E+6
  1.026  MATH         Max = -35
  1.027  ELSE
  1.028  MATH         Max = -30
  1.029  ENDIF

  1.030  VSET         CPT = [V Max] dBc
  1.031  MATH         @DUT_Cmd = @DUT_Setup & "WAVFREQ " & Fund & ";"
  1.032  MATH         @DUT_Cmd = @DUT_Cmd & "OUTPUT ON"
  1.033  M8560  ATTEN 10dB
  1.034  M8560  SCALE 10dB
  1.035  M8560  SPAN  400kH
# Retrieve confidence interval for HP 856x spectrum analyzer.
  1.036  MATH         Conf8560 = CONF("HP 8560")
  1.037  JMPL         SINE_WAVE_DISTORTION

  1.038  LABEL        REPEAT
  1.039  TARGET       -p
  1.040  MATH         @First = 1

  1.041  LABEL        SINE_WAVE_DISTORTION

  1.042  IF           @First
  1.043  CALL         Sub Specify HP856x Model Number
  1.044  MATH         @Cmd = "*RST"
  1.045  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  1.046  JMPL         END                          @Abort

  1.047  IF           NOT(ISVAR("@Chan"))
  1.048  DISP         Connect DUT MAIN OUT to 856x INPUT 50 Ω using a
  1.048  DISP         BNC cable, and a BNC (f) to Type N (m) adapter, and
  1.048  DISP         Type N 30 dB attenuator.
  1.048  DISP
  1.048  DISP         CAUTION: Failure to use a 30 dB attenuator at
  1.048  DISP         [32]        the 856x RF INPUT may damage the input
  1.048  DISP         [32]        mixer.
  1.049  ELSEIF       @Chan == 1
  1.050  DISP         Connect DUT CHANNEL 1 MAIN OUT to 856x INPUT 50 Ω
  1.050  DISP         using a BNC cable, and a BNC (f) to Type-N (m) adapter,
  1.050  DISP         and a Type-N 30 dB attenuator.
  1.050  DISP
  1.050  DISP         CAUTION: Failure to use a 30 dB attenuator at
  1.050  DISP         [32]        the 856x RF INPUT may damage the input
  1.050  DISP         [32]        mixer.
  1.051  ELSE
  1.052  DISP         Move the DUT connection to CHANNEL [V @Chan] MAIN OUT.
  1.053  ENDIF

  1.054  DISP         The next routine operator intervention occurs in
  1.054  DISP         approximately 3 minutes.
  1.055  MATH         @First = 0
  1.056  ENDIF

  1.057  MATH         @Cmd = @DUT_Cmd
  1.058  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  1.059  JMPL         END                          @Abort
  1.060  MATH         MEM = Fund
  1.061  8560         -6D                          H                    N
# Compute 8560 measurement accuracy here!
# 3.013  MATH         L[10] = REFACC()
  1.062  MATH         RefLvl = MEM
# Specify correct frequency response mode string for 856x model being used.
  1.063  CALL         Sub Specify HP856X Frequency Response
# Retrieve uncertainty for above measurement and normalize.
  1.064  MATH         L[10] = ACCV2("HP 8560", S[1], MEM, Fund) / Conf8560
# Check 1st sub-harmonic.
  1.065  TSET         TDESC = ½ Harmonic; MEAS = SA
  1.066  TARGET       -m
  1.067  MATH         MEM = L[1]
  1.068  8560         -50D                         H                    N
  1.069  MATH         MEM = MEM - RefLvl
# Specify correct scale fidelity mode string for 856x model  being used.
  1.070  CALL         Sub Specify HP856X Log Scale Fidelity
# Retrieve scale fidelity uncertainty for above measurements and normalize.
  1.071  MATH         L[20] = ACCV2("HP 8560", S[1], MEM, L[1]) / Conf8560
  1.072  MATH         L[30] = RSS2(L[10], L[20]) * 2
  1.073  ACC          dBc            L30U
  1.074  MATH         MEM1 = Max
  1.075  MEMC         dBc            -0.0U +100.0U

  2.001  JMPL         CHECK_2nd_HARMONIC

# Force a new reference level reading for Post Test Repeat and Cancel.
  2.002  TARGET       -p
  2.003  JMPL         REPEAT

  2.004  LABEL        CHECK_2nd_HARMONIC
  2.005  TSET         TDESC = 2nd Harmonic; MEAS = SA
  2.006  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  2.007  JMPL         END                          @Abort
  2.008  TARGET       -m
  2.009  MATH         MEM = L[2]
  2.010  8560         -50D                         H                    N
  2.011  MATH         MEM = MEM - RefLvl
  2.012  CALL         Sub Specify HP856X Log Scale Fidelity
  2.013  MATH         L[20] = ACCV2("HP 8560", S[1], MEM, L[2]) / Conf8560
  2.014  MATH         L[30] = RSS2(L[10], L[20]) * 2
  2.015  ACC          dBc            L30U
  2.016  MATH         MEM1 = Max
  2.017  MEMC         dBc            -0.0U +100.0U

  3.001  JMPL         CHECK_3rd_HARMONIC

# Force a new reference level reading for Post Test Repeat and Cancel.
  3.002  TARGET       -p
  3.003  JMPL         SINE_WAVE_DISTORTION

  3.004  LABEL        CHECK_3rd_HARMONIC
  3.005  TSET         TDESC = 3rd Harmonic; MEAS = SA
  3.006  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  3.007  JMPL         END                          @Abort
  3.008  TARGET       -m
  3.009  MATH         MEM = L[3]
  3.010  8560         -50D                         H                    N
  3.011  MATH         MEM = MEM - RefLvl
  3.012  CALL         Sub Specify HP856X Log Scale Fidelity
  3.013  MATH         L[20] = ACCV2("HP 8560", S[1], MEM, L[3]) / Conf8560
  3.014  MATH         L[30] = RSS2(L[10], L[20]) * 2
  3.015  ACC          dBc            L30U
  3.016  MATH         MEM1 = Max
  3.017  MEMC         dBc            -0.0U +100.0U

  4.001  JMPL         CHECK_4th_HARMONIC

# Force a new reference level reading for Post Test Repeat and Cancel.
  4.002  TARGET       -p
  4.003  JMPL         REPEAT

  4.004  LABEL        CHECK_4th_HARMONIC
  4.005  TSET         TDESC = 4th Harmonic; MEAS = SA
  4.006  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  4.007  JMPL         END                          @Abort
  4.008  TARGET       -m
  4.009  MATH         MEM = L[4]
  4.010  8560         -50D                         H                    N
  4.011  MATH         MEM = MEM - RefLvl
  4.012  CALL         Sub Specify HP856X Log Scale Fidelity
  4.013  MATH         L[20] = ACCV2("HP 8560", S[1], MEM, L[4]) / Conf8560
  4.014  MATH         L[30] = RSS2(L[10], L[20]) * 2
  4.015  ACC          dBc            L30U
  4.016  MATH         MEM1 = Max
  4.017  MEMC         dBc            -0.0U +100.0U

  5.001  JMPL         CHECK_5th_HARMONIC

# Force a new reference level reading for Post Test Repeat and Cancel.
  5.002  TARGET       -p
  5.003  JMPL         REPEAT

  5.004  LABEL        CHECK_5th_HARMONIC
  5.005  TSET         TDESC = 5th Harmonic; MEAS = SA
  5.006  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  5.007  JMPL         END                          @Abort
  5.008  TARGET       -m
  5.009  MATH         MEM = L[5]
  5.010  8560         -50D                         H                    N
  5.011  MATH         MEM = MEM - RefLvl
  5.012  CALL         Sub Specify HP856X Log Scale Fidelity
  5.013  MATH         L[20] = ACCV2("HP 8560", S[1], MEM, L[5]) / Conf8560
  5.014  MATH         L[30] = RSS2(L[10], L[20]) * 2
  5.015  ACC          dBc            L30U
  5.016  MATH         MEM1 = Max
  5.017  MEMC         dBc            -0.0U +100.0U

  6.001  LABEL        END
  6.002  VSET         CPT = *
  6.003  END
