﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Wavetek 39A: (1 yr) VER IEEE /5790,8560,8903,LFCTR
DATE:                  2017-02-10 07:41:56
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       167
CONFIGURATION:         Fluke 5790A
CONFIGURATION:         HP 8560
CONFIGURATION:         HP 8903B
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Source(s):
#        Fluke 281/282/284
#        Accuracy Verification Procedure
#        Fluke Calibration Service Engineering
#        Orig: 2009-05-20
#        Rev:  2009-10-21
#
#  Additional Equipment Required:
#        See procedure body for specific cables and adapters required.
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                                     V

  1.002  IF           0
  1.003  5790         *                                                 S
  1.004  8560         *                                                 S
  1.005  8903         *                                                 S
  1.006  IEEE         [@LFCTR]
  1.007  ENDIF

  1.008  IF           VERSIONCHECK("8.0")
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright

  1.012  HEAD         PRELIMINARY INSTRUCTIONS
  1.013  DISP         Prior to beginning verification, a UUT warm-up time
  1.013  DISP         of 30 minutes.
  1.013  DISP
  1.013  DISP         Additionally, the UUT must have acclimated to the
  1.013  DISP         ambient conditions of the test environment for at
  1.013  DISP         least two hours.

  1.014  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method
  1.017  CALL         Sub UUT Connection GPIB

  1.018  HEAD         UUT IDENTIFICATION
  1.019  CALL         Sub IEEE-488.2 Identification Query (*IDN?) IEEE

  1.020  MATH         @Manufacturer     = GETV("Manufacturer")
  1.021  MATH         @ModelNum         = GETV("Model_Num")
  1.022  MATH         @UUT_Manufacturer = "Wavetek"
  1.023  MATH         @UUT_Model        = "MODEL 39A"
  1.024  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.025  IF           @Abort
  1.026  END
  1.027  ENDIF

  1.028  OPBR         -z Do you want to REVIEW the list of flexible standards,
  1.028  OPBR         additional equipment and/or accessories required?

  1.029  IF           MEM1
  1.030  CALL         Sub Fluke 281/282/284 (1 yr) Min Requirements /LFCTR

  1.031  IF           @Abort
  1.032  END
  1.033  ENDIF

  1.034  CALL         Sub Fluke 281/282/284 Additional Required Equipment
  1.035  ENDIF

  1.036  RESET        OUTPUT OFF;*OPC?[I!]

# Set timeout for "Sub Wait for OPC 488.2" to 10 s.
  1.037  MATH         @Timeout = 10000

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  ---------------------------------  ---------------------------------
#    1.   Sine Frequency Accuracy            Sine Frequency Accuracy
#    2.   Square Frequency Accuracy          Square Frequency Accuracy
#    3.   Frequency Synthesis                Square Rise/Fall Time
#    4.   Square Rise/Fall Time              Frequency Synthesis
#    5.   Amplitude Accuracy                 Amplitude Accuracy
#    6.   Amplitude Flatness                 Amplitude Accuracy
#    7.   Sine Distortion                    Sine Distortion
#    8.   Non-harmonic Distortion            Non-harmonic Distortion

  1.038  RSLT         =
  1.039  RSLT         =SINE WAVE FREQUENCY ACCURACY
  1.040  RSLT         =
  1.041  CALL         Sub Fluke 281/282/284 (1 yr) SI Frequency VER /LFCTR

  1.042  RSLT         =
  1.043  RSLT         =SQUARE WAVE FREQUENCY ACCURACY
  1.044  RSLT         =
  1.045  CALL         Sub Fluke 281/282/284 (1 yr) SQ Frequency VER /LFCTR
  1.046  JMPL         RISE/FALL_TIME

  1.047  LABEL        SYNTHESIS
  1.048  RSLT         =
  1.049  RSLT         =FREQUENCY SYNTHESIS (Sine Wave)
  1.050  RSLT         =
  1.051  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis VER /LFCTR
  1.052  JMPL         AMPL_ACCY

  1.053  LABEL        RISE/FALL_TIME
  1.054  RSLT         =
  1.055  RSLT         =SQUARE WAVE RISE/FALL
  1.056  RSLT         =
  1.057  CALL         Sub Fluke 281/282/284 (1 yr) Square Rise/Fall VER/LFCTR
  1.058  JMPL         SYNTHESIS

  1.059  LABEL        AMPL_ACCY
  1.060  RSLT         =
  1.061  RSLT         =AMPLITUDE ACCURACY (1 kHz)
  1.062  RSLT         =
  1.063  CALL         Sub Fluke 281/282/284 (1 yr) Amplitude VER /5790

  1.064  RSLT         =
  1.065  RSLT         =AMPLITUDE FLATNESS (1 kHz Reference)
  1.066  RSLT         =
  1.067  CALL         Sub Fluke 281/282/284 (1 yr) Ampl Flatness VER /5790

  1.068  RSLT         =
  1.069  RSLT         =SINE WAVE DISTORTION
  1.070  RSLT         =
  1.071  RSLT         =Total Harmonic Distortion
  1.072  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8903
  1.073  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8560

  1.074  RSLT         =
  1.075  RSLT         =SINE WAVE NON-HARMONIC DISTORTION (6 MHz Fundamental)
  1.076  RSLT         =
  1.077  CALL         Sub Fluke 281/282/284 (1 yr) Non-harmonic Dist VER/8560

  1.078  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.079  END
